Name:		perl-Search-Elasticsearch-Client-2_0
Version:	6.81
Release:	1%{?dist}
Summary:	Thin client with full support for Elasticsearch 2.x APIs
License:	ASL 2.0
URL:		https://metacpan.org/release/Search-Elasticsearch-Client-2_0
Source0:	https://cpan.metacpan.org/modules/by-module/Search/Search-Elasticsearch-Client-2_0-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.76
# Module Runtime
BuildRequires:	perl(Devel::GlobalDestruction)
BuildRequires:	perl(Moo)
BuildRequires:	perl(Moo::Role)
BuildRequires:	perl(namespace::clean)
BuildRequires:	perl(Search::Elasticsearch) >= 6.00
BuildRequires:	perl(Search::Elasticsearch::Role::API)
BuildRequires:	perl(Search::Elasticsearch::Role::Client::Direct)
BuildRequires:	perl(Search::Elasticsearch::Role::Is_Sync)
BuildRequires:	perl(Search::Elasticsearch::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(Try::Tiny)
BuildRequires:	perl(warnings)
# Test Suite (Net::Curl::Easy only used in a network test, which we're not running)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(IO::Socket::SSL)
BuildRequires:	perl(lib)
BuildRequires:	perl(Log::Any::Adapter)
BuildRequires:	perl(Log::Any::Adapter::Callback) >= 0.09
BuildRequires:	perl(POSIX)
BuildRequires:	perl(Search::Elasticsearch::Role::Cxn)
BuildRequires:	perl(Sub::Exporter)
BuildRequires:	perl(Test::Deep)
BuildRequires:	perl(Test::Exception)
BuildRequires:	perl(Test::More) >= 0.98
BuildRequires:	perl(Test::Needs)
# Author Tests
BuildRequires:	perl(Test::EOL)
BuildRequires:	perl(Test::NoTabs)
BuildRequires:	perl(Test::Pod) >= 1.41
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Search::Elasticsearch::Role::API)
Requires:	perl(Search::Elasticsearch::Role::Client::Direct)
Requires:	perl(Search::Elasticsearch::Role::Is_Sync)
# Split from perl-Search-Elasticsearch at version 5.00
Conflicts:	perl-Search-Elasticsearch < 5

%description
The Search::Elasticsearch::Client::2_0 package provides a client compatible
with Elasticsearch 1.x. It should be used in conjunction with
Search::Elasticsearch as follows:

	$e = Search::Elasticsearch->new(
		client => "2_0::Direct"
	);

See Search::Elasticsearch::Client::2_0::Direct(3) for documentation about how
to use the client itself.

%prep
%setup -q -n Search-Elasticsearch-Client-2_0-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}

%check
make test AUTHOR_TESTING=1

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/Search/
%{_mandir}/man3/Search::Elasticsearch::Client::2_0.3*
%{_mandir}/man3/Search::Elasticsearch::Client::2_0::Bulk.3*
%{_mandir}/man3/Search::Elasticsearch::Client::2_0::Direct.3*
%{_mandir}/man3/Search::Elasticsearch::Client::2_0::Direct::Cat.3*
%{_mandir}/man3/Search::Elasticsearch::Client::2_0::Direct::Cluster.3*
%{_mandir}/man3/Search::Elasticsearch::Client::2_0::Direct::Indices.3*
%{_mandir}/man3/Search::Elasticsearch::Client::2_0::Direct::Nodes.3*
%{_mandir}/man3/Search::Elasticsearch::Client::2_0::Direct::Snapshot.3*
%{_mandir}/man3/Search::Elasticsearch::Client::2_0::Direct::Tasks.3*
%{_mandir}/man3/Search::Elasticsearch::Client::2_0::Role::API.3*
%{_mandir}/man3/Search::Elasticsearch::Client::2_0::Role::Bulk.3*
%{_mandir}/man3/Search::Elasticsearch::Client::2_0::Role::Scroll.3*
%{_mandir}/man3/Search::Elasticsearch::Client::2_0::Scroll.3*
%{_mandir}/man3/Search::Elasticsearch::Client::2_0::TestServer.3*

%changelog
* Sat Jun 27 2020 Paul Howarth <paul@city-fan.org> - 6.81-1
- Update to 6.81
  - Bumped to version 6.81

* Thu Mar 26 2020 Paul Howarth <paul@city-fan.org> - 6.80-1
- Update to 6.80
  - Updated to work with Search::Elasticsearch 6.00

* Mon Apr  3 2017 Paul Howarth <paul@city-fan.org> - 5.02-1
- Update to 5.02
  - Updated to work with Search::Elasticsearch 5.02

* Thu Oct 20 2016 Paul Howarth <paul@city-fan.org> - 5.01-1
- Initial RPM version
